Skip navigation links

- Overview
- Package
- Class
- Tree
- Deprecated
- Index
- Help

- Prev Class
- Next Class

- Frames
- No Frames

- All Classes

- Summary:
- Field |
- Required |
- Optional

- Detail:
- Field |
- Element

groovy.transform

## Annotation Type Trait

    @Documented
     @Retention(value=RUNTIME)
     @Target(value=TYPE)
    public @interface Trait

Used to mark a class as being a trait.

Since:
  2.3.0

Skip navigation links

- Overview
- Package
- Class
- Tree
- Deprecated
- Index
- Help

Copyright © 2003-2019 The Apache Software Foundation. All rights reserved.

- Prev Class
- Next Class

- Frames
- No Frames

- All Classes

- Summary:
- Field |
- Required |
- Optional

- Detail:
- Field |
- Element